summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-07-23 10:39:19 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-07-25 19:27:41 +0200
commit96a28f06eb3edb496b4fd7535f937465d7dcbcc4 (patch)
treef7246a650fe3ea38acab88828894b368147db13a /dev-python
parentdda50c7edb662e34bfa203bf9659b7b7de221076 (diff)
downloadgentoo-96a28f06eb3edb496b4fd7535f937465d7dcbcc4.tar.gz
gentoo-96a28f06eb3edb496b4fd7535f937465d7dcbcc4.tar.bz2
gentoo-96a28f06eb3edb496b4fd7535f937465d7dcbcc4.zip
dev-python/zict: version bump.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zict/Manifest1
-rw-r--r--dev-python/zict/zict-0.1.3.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/zict/Manifest b/dev-python/zict/Manifest
index de70af655688..7a0098a5ee18 100644
--- a/dev-python/zict/Manifest
+++ b/dev-python/zict/Manifest
@@ -1 +1,2 @@
DIST zict-0.1.2.tar.gz 10839 BLAKE2B 6256e6202f6cca1db025d21c42b98163ad897ceda6a1b878e75165b358ec0a4b9150f04ecdc05f5408dd74c97212b8301d1f45d91f92dad138789570ffcfa562 SHA512 13fc6647bc1506bc5e8f69d39a07851a06634949ce917f294762ff3143c8a539117f8731b103df2663708fa1e8c968359985d9c4273aa952f500a89019c176e3
+DIST zict-0.1.3.tar.gz 11199 BLAKE2B f91c51888816b3b3693ee272379e36c58141afeba14cf25eff9e1416cd59900ca9ab146d7fe806a22939e97dfb3f1657e443eb1420f4d5170a3723df32c3d73b SHA512 2051ff589f9dfc822ceb6a0adebb62e7b782bd426be5035163e78031814927dca221bfcc27ce47fb3d0287b1ec7e1ff120ccebf150e447df213aaa2136f744a4
diff --git a/dev-python/zict/zict-0.1.3.ebuild b/dev-python/zict/zict-0.1.3.ebuild
new file mode 100644
index 000000000000..7879fdb202c9
--- /dev/null
+++ b/dev-python/zict/zict-0.1.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mutable mapping tools"
+HOMEPAGE="https://github.com/dask/zict/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/HeapDict[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/HeapDict[${PYTHON_USEDEP}]
+ dev-python/lmdb[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ py.test || die
+}